Re: [Python-modules-team] pygame and python 3

2015-05-06 Thread Vincent Cheng
Hi Lenard, On Mon, May 4, 2015 at 5:47 PM, Lenard Lindstrom le...@telus.net wrote: Hi Vincent, On 15-04-29 03:34 AM, Vincent Cheng wrote: Hi Lenard, First off, thanks for all your work on pygame! On Thu, Apr 16, 2015 at 9:26 PM, Lenard Lindstrom le...@telus.net wrote: Hi, Pygame

Re: [Python-modules-team] pygame and python 3

2015-05-04 Thread Lenard Lindstrom
Hi Vincent, On 15-04-29 03:34 AM, Vincent Cheng wrote: Hi Lenard, First off, thanks for all your work on pygame! On Thu, Apr 16, 2015 at 9:26 PM, Lenard Lindstrom le...@telus.net wrote: Hi, Pygame supported python3 since before version 1.9.0 in 2009. All Pygame code is written to work with

Re: [Python-modules-team] pygame and python 3

2015-04-29 Thread Vincent Cheng
Hi, pygame maintainer here, sorry for the delayed reply! On Thu, Apr 16, 2015 at 6:47 PM, peter green plugw...@p10link.net wrote: One python package used heavilly in the raspberry pi community is pygame. Unfortunately the package hasn't had an upstream stable release since 2009 and the

Re: [Python-modules-team] pygame and python 3

2015-04-29 Thread Vincent Cheng
Hi Lenard, First off, thanks for all your work on pygame! On Thu, Apr 16, 2015 at 9:26 PM, Lenard Lindstrom le...@telus.net wrote: Hi, Pygame supported python3 since before version 1.9.0 in 2009. All Pygame code is written to work with either Python 2.x or 3.x. So building Pygame for

Re: pygame and python 3

2015-04-16 Thread Lenard Lindstrom
Hi, Pygame supported python3 since before version 1.9.0 in 2009. All Pygame code is written to work with either Python 2.x or 3.x. So building Pygame for python3 is the same as for python2. Just use python3 setup.py build instead of python setup.py build. Installation is also the same. For

pygame and python 3

2015-04-16 Thread peter green
One python package used heavilly in the raspberry pi community is pygame. Unfortunately the package hasn't had an upstream stable release since 2009 and the upstream stable release doesn't support python3. Currently sid has the latest upstream stable release and no python3-pygame package.